elaborate cpu_X10
link
getproc

group -design random_X10 -cell random -except [get_cells cpu*] [get_cells]
getproc

source remove_lib_designs.tcl
getproc

# this is needed for default strategy
# N0-N1 gdb written out by X2 script
# N2-N4 gdb written out by X5 script
foreach_in_collection the_design [get_designs {*_N5 *_N6 *_N7 *_N8 *_N9 random_X10}] {
  set design_name [get_object_name $the_design]
  write -out gdb/${design_name}.gdb ${design_name}
  getproc
}

current_design cpu_X10
getproc

source -echo -verbose cpu.const
getproc

# this is needed for default strategy
redirect reports/cpu_X10.gdb.report_hierarchy report_hierarchy
getproc

write -hier -out cpu_X10.gdb
getproc

exit
