read_db cpu_X2.gdb
link
getproc

uniquify
getproc

set acs_use_lsf true
set acs_bsub_args {-K -q synthesis -R "select[maxmem>=500 && cpuf>=16.0]"}

set_attribute -type boolean {cpu_N0/dcu/dcctl/dcudp_cntl/spare} MasterInstance true

set_compile_partitions -designs { \
	random_X2 \
	mj_spare \
	dcram_dummy_N0 \
	dcu_N0 \
	dtag_dummy_N0 \
	fpu_N0 \
	icram_dummy_N0 \
	icu_N0 \
	itag_dummy_N0 \
	iu_N0 \
	ex_N0 \
	hold_logic_N0 \
	ifu_N0 \
	pipe_N0 \
	rcu_N0 \
	trap_N0 \
	ucode_N0 \
	pcsu_N0 \
	smu_N0 \
	dcram_dummy_N1 \
	dcu_N1 \
	dtag_dummy_N1 \
	fpu_N1 \
	icram_dummy_N1 \
	icu_N1 \
	itag_dummy_N1 \
	iu_N1 \
	ex_N1 \
	hold_logic_N1 \
	ifu_N1 \
	pipe_N1 \
	rcu_N1 \
	trap_N1 \
	ucode_N1 \
	pcsu_N1 \
	smu_N1 \
}

acs_compile_design -destination pass0_X2 -prepare_only cpu_X2
getproc

exit
